{% extends 'base.html' %}
{% block title %} {{ my_news.title }} - AyoBantu by SinarPerak {% endblock %}
{% block name %}
	{% if user.is_authenticated %}
		<p style="font-size : 15px;">{{ user.username }}</p>
	{% endif %}
{% endblock %}

{% block body %}

<style>

@media (max-width: 992px) {
	.news-img {
	/*height: 200px;*/
	border: 2px transparent;
	padding: 20px;
	display: block;
	margin-left: auto;
	margin-right: auto;
	}

	.news-box {
    border-radius: 10px;
    border: 2px transparent;
    padding: 20px; 
    width: 80%;
	font-size: 14px;
	display: block;
	margin-left: auto;
	margin-right: auto;
	}

	.rounded-box-program {
    border-radius: 10px;
    border: 2px solid #06D6A0;
    padding: 20px; 
    width: 90%;
	font-size: 24px;
	display: block;
	margin-left: auto;
	margin-right: auto;
	}

}

@media (min-width: 993px) {
	.news-img {
	/*height: 300px;*/
	object-fit: contain;
	border: 2px transparent;
	padding: 20px;
	padding-left: 50px;
	}

	.news-box {
    border-radius: 10px;
    border: 2px transparent;
    padding: 20px; 
    width: 50%;
	font-size: 16px;
	text-align: justify;
	padding-left: 40px;
	}

	.rounded-box-program {
    border-radius: 10px;
    border: 2px solid #06D6A0;
    padding: 20px; 
    width: 80%;
	font-size: 24px;
	}

}

</style>

<div class="row">
	<div class="container col-lg-12" style="border-radius:10px; border: 2px transparent; padding-left: 40px;">
		<h1><b>{{ my_news.title }}</b></h1>
	</div>
</div>

<div class="row">
	<div class="container col-lg-8">
		<img src="{{ my_news.image_src }}" class="news-img img-responsive">
	</div>
	<div class="container col-lg-4">
		<div class="rounded-box-program">
			<h4 class="berita" id="program-tersedia" style="text-align:center;"><b>PROGRAM TERSEDIA</b></h4>
			{% for program in my_news_programs.filter %}
				{% if my_news.news_tag == program.news_tag %}
					<a href="./../../../programs/{{ program.pk }}">{{ program.name }}</a>
					<p style="font-size: 14px;">{{ program.description }}</br></br></p>
				{% endif %}
			{% endfor %}
		</div>
	</div>
</div>

<div class="row">
	<div class="container col-lg-12 news-box" id="detail-news">
		<p>{{ my_news.content | safe | linebreaks }}</p>
	</div>
</div>
{% endblock %}